Robotics Service Bus - Feature #39
High-Level Pattern: Publish-Subscribe
08/18/2010 01:29 AM - S. Wrede

Status: Resolved Start date:
Priority: Normal Due date:
Assignee: S. Wrede % Done:
Category: C++ Estimated time:
Target version:

08/18/2010

100%
3.00 hours

Description

Implementation based on Router should now be relatively easy.
Should be tested extensively with InProcessPort as well.

History

#1 - 08/18/2010 09:59 AM - J. Wienke
- Category set to C++

#2 - 08/23/2010 07:19 PM - S. Wrede

- Status changed from New to In Progress
- Assignee set to S. Wrede

- % Done changed from 0 to 20

- Estimated time set to 3.00

Started implementation... Nothing checked in yet...

#3 - 08/23/2010 11:23 PM - S. Wrede
- % Done changed from 20 to 40

Initial version of Publisher implementation finished, 1200 msg's per 60ms to SpreadPort / ~25 ms to InProcessPort.

#4 - 08/23/2010 11:23 PM - S. Wrede
- File mylyn-context.zip added

#5 - 08/27/2010 01:13 PM - S. Wrede
- Status changed from In Progress to Resolved
- % Done changed from 40 to 100

#6 - 08/27/2010 01:13 PM - S. Wrede
- File mylyn-context.zip added

Files

mylyn-context.zip 4.12 KB 08/23/2010 S. Wrede

mylyn-context.zip 104 KB 08/27/2010 S. Wrede
